#pragma once

#include "game/info.hpp"
#include "game/sprite.hpp"

class Prota : public Sprite {
   public:
    explicit Prota(Jd8::Surface gfx);

    void draw() override;
    auto update() -> Uint8;

    Uint8 frame_pejades;
    bool pergami;

   protected:
    auto readDirection() -> Uint8;
    void stepInDirection(Uint8 dir);
    void advanceWalkingFrame(Uint8 dir);
    auto advanceFinalAnimation() -> Uint8;
};
